local _G = getfenv(0)

function Skinner:CT_RaidAssist()
	if not self.db.profile.FriendsFrame then return end

	self:hookDDScript(CT_RAMenuFrameGeneralDisplayHealthDropDownButton)	
	self:hookDDScript(CT_RAMenuFrameGeneralMiscDropDownButton)	
	self:hookDDScript(CT_RAMenuFrameBuffsBuffsDropDownButton)	

	self:moveObject(CT_RAOptionsButton, "-", 40, "+", 10)
	self:moveObject(CT_RACheckAllGroups, "-", 40, "+", 10)
	self:moveObject(CT_RAOptionsFrameCheckAllGroupsText, "-", 40, "+", 10)
	self:moveObject(CT_RAOptionsGroup1, "-", 7, "+", 8)

	self:removeRegions(CT_RAMenuFrame, {1, 2, 3, 4, 5, 6, 7}) -- N.B. region 8 is text
	self:moveObject(CT_RAMenuFrameHeader, nil, nil, "-", 8)
	self:moveObject(CT_RAMenuFrameCloseButton, "+", 40, "+", 2)
	self:applySkin(CT_RAMenuFrame)
	
	self:removeRegions(CT_RAMenuFrameGeneralDisplayHealthDropDown, {1, 2, 3}) -- N.B. region 4 is text
	self:removeRegions(CT_RAMenuFrameGeneralMiscDropDown, {1, 2, 3}) -- N.B. region 4 is text
	self:removeRegions(CT_RAMenuFrameBuffsBuffsDropDown, {1, 2, 3}) -- N.B. region 4 is text

-->>--	Debuff Frame
	for k, v in pairs({ "NameEB", "DebuffTitleEB", "DebuffTypeEB", "DebuffDescriptEB" }) do
		local ebName = _G["CT_RAMenuFrameDebuffSettings"..v]
	  	self:moveObject(ebName, "+", 5, nil, nil)  
		ebName:SetWidth(ebName:GetWidth() + 10)
		self:skinEditBox(ebName)
	end
	
	self:skinScrollBar(CT_RAMenuFrameDebuffUseScrollFrame)
	
-->>--	Priority Frame	
	self:removeRegions(CT_RA_PriorityFrame, {1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11}) -- N.B. regions 12 & 13 are text
	self:moveObject(CT_RA_PriorityFrameTitle, nil, nil, "-", 8)
	self:applySkin(CT_RA_PriorityFrame)
	
	self:removeRegions(CT_RAMenu_NewSetFrame, {1, 2, 3, 4, 5, 6, 7, 8, 9, 10}) -- N.B. regions 11-13 are text
	self:moveObject(CT_RAMenu_NewSetFrameTitle, nil, nil, "-", 8)
	self:applySkin(CT_RAMenu_NewSetFrame)

-->>--	Option Sets Frame	
	local ebName = CT_RAMenu_NewSetFrameNameEB
	self:moveObject(ebName, "+", 5, "-", 10)  
	ebName:SetWidth(ebName:GetWidth() + 10)
    self:skinEditBox(ebName)
	
end
