
function Skinner:SuperInspect_UI()
	if not self.db.profile.Inspect or self.initialized.SuperInspect then return end
	self.initialized.SuperInspect = true
	
	self:removeRegions(SuperInspectFrameHeader, {1, 2, 3, 4})
	self:removeRegions(SuperInspect_ItemBonusesFrame, {1})
	self:removeRegions(SuperInspect_COHBonusesFrame, {1})
	self:removeRegions(SuperInspect_USEBonusesFrame, {1})
	self:removeRegions(SuperInspect_SnTBonusesFrame, {1})
	
	self:removeRegions(SuperInspect_HonorFrame, {1})
	self:glazeStatusBar(SuperInspect_HonorFrameProgressBar, -2)
	
	self:removeRegions(SuperInspect_ItemBonusesFrameCompare, {1})
	
	self:removeRegions(SuperInspect_Button_ShowHonor, {2, 4})
	self:removeRegions(SuperInspect_Button_ShowBonuses, {2, 4})
	self:removeRegions(SuperInspect_Button_ShowMobInfo, {2, 4})
	self:removeRegions(SuperInspect_Button_ShowItems, {2, 4})
	
	-- Hide frames we don't need
	SuperInspect_BackgroundTopLeft:Hide()
	SuperInspect_BackgroundTopRight:Hide()
	SuperInspect_BackgroundBotLeft:Hide()
	SuperInspect_BackgroundBotRight:Hide()
	
	-- Resize
	SuperInspectFrameHeader:SetWidth(SuperInspectFrameHeader:GetWidth()-20)
	SuperInspectFrameHeader:SetHeight(SuperInspectFrameHeader:GetHeight()-62)
	
	-- Reposition
	SuperInspectFrameHeader_CloseButton:ClearAllPoints()
	
	SuperInspectFrameHeader_CloseButton:SetPoint("CENTER", SuperInspectFrame, "TOPRIGHT", -20, -20)
	
	-- Skin
	self:applySkin(SuperInspectFrame)
	self:applySkin(SuperInspect_ItemBonusesFrame, nil, 0.6, 0.6)
	self:applySkin(SuperInspect_COHBonusesFrame, nil, 0.6, 0.6)
	self:applySkin(SuperInspect_USEBonusesFrame, nil, 0.6, 0.6)
	self:applySkin(SuperInspect_SnTBonusesFrame, nil, 0.6, 0.6)
	
	self:applySkin(SuperInspect_HonorFrame)
	
	self:applySkin(SuperInspect_ItemBonusesFrameCompare)
	
	self:applySkin(SuperInspect_BonusFrameParentTab1)
	self:applySkin(SuperInspect_BonusFrameParentTab2)
	self:applySkin(SuperInspect_BonusFrameParentTab3)
	self:applySkin(SuperInspect_BonusFrameParentTab4)
	
	self:applySkin(SuperInspect_Button_ShowHonor)
	self:applySkin(SuperInspect_Button_ShowBonuses)
	self:applySkin(SuperInspect_Button_ShowMobInfo)
	self:applySkin(SuperInspect_Button_ShowItems)
	
	SuperInspectFramePortrait:SetAlpha(0)
	
end
